function main(self)
    if self.State == 0 then
        local idle = 'LEVEL_SPRINGBOX_IDLE'
        local spring = 'LEVEL_SPRINGBOX_SPRING'
        for j = 1, #idle do
            LevelBasedData[0].SpringBoardAnimationIdle[j-1] = string.byte(idle,j)
        end
        LevelBasedData[0].SpringBoardAnimationIdle[#idle] = 0
        for j = 1, #spring do
            LevelBasedData[0].SpringBoardAnimationSpring[j-1] = string.byte(spring,j)
        end
        LevelBasedData[0].SpringBoardAnimationSpring[#spring] = 0
    end
	self.HitRect = {-34,-1,40,40}
    SpringBoard(self)
end